#### 3.7.4 Movemail Usage Summary ¶

    movemail [option...] inbox destfile [password]

The first argument, inbox, is the url (see Mailbox) of the source mailbox. The second argument, destfile, traditionally means destination file, i.e. the UNIX mailbox to copy messages to. However, mailutils `movemail` extends the meaning of this parameter. You may actually specify any valid url as destfile parameter.4.

For compatibility with older implementations of `movemail`, the source argument can also have the form:

    po:username[:pop-server]

where pop-server is the IP address or hostname of a POP3 server to connect to and username is the name of the user on that server. The password is then supplied by the third argument.

It is equivalent to the following URL:

    pop://username[:password]@pop-server

In fact, whenever source refers to a remote mailbox, the password argument can be used to pass the password. However, the safer ticket method is of course preferred.

Options are one or more of the following:

`--emacs`

  Output information used by Emacs `rmail` interface.

`--ignore-errors`

  Try to continue after errors.

`--max-messages=count`

  Process at most count messages.

`--notify`

  Enable biff notification.

`--onerror=kw[,kw...]`

  What to do on errors. See onerror statement, for a description of kw.

`-P modelist`
`--owner=modelist`

  Control mailbox ownership. modelist is a comma-separated list of one or more ownership change methods. See mailbox-ownership-methods, for a description of available methods.

  This option is useful only when running `movemail` as root.

`-p`
`--preserve`
`--keep-messages`

  Don’t remove transferred messages from the source mailbox. See also the `--sync` option, below.

`--program-id=fmt`

  Set program identifier for diagnostics (default: the program name). See movemail-program-id, for a description of its argument.

`-s`
`--sync=mode`

  Sets the synchronization mode, i.e. algorithm that defines whether a given message has already been downloaded. Used together with `--preserve`, it allows you to download only recently delivered messages, while not removing messages from the remote mailbox. See Synchronizatiom Mode, for a detailed description.

`--sync-dir=dir` ¶

  Supplies the name of a directory where synchronization metadata are kept. The default is `~/.movemail.sync`.

`-u`
`--uidl`

  Same as `--sync=uidl`, i.e. use UIDLs to avoid downloading the same message twice.

`-v`
`--verbose`

  Increase verbosity level.

The common options are also understood (see Options That are Common for All Utilities.).

#### Footnotes

##### (4)

Rmail does not use this feature